Name:           libarcus
Version:        2.3.1
Release:        1%{?dist}
Summary:        Communication library between internal components for Ultimaker software
License:        AGPLv3+
URL:            https://github.com/Ultimaker/libArcus
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  protobuf-devel
BuildRequires:  python3-devel
BuildRequires:  python3-protobuf
BuildRequires:  python3-sip
BuildRequires:  python3-sip-devel
BuildRequires:  /usr/bin/sip
BuildRequires:  cmake
BuildRequires:  git

# Remove RPATH
Patch1:         %{name}-no-rpath.patch

%description
Arcus library contains C++ code and Python 3 bindings for creating a socket in
a thread and using this socket to send and receive messages based on the
Protocol Buffers library. It is designed to facilitate the communication
between Cura and its backend and similar code.

%package        devel
Summary:        Development files for libarcus
Requires:       %{name} = %{version}-%{release}

%description    devel
Arcus library contains C++ code and Python 3 bindings for creating a socket in
a thread and using this socket to send and receive messages based on the
Protocol Buffers library. It is designed to facilitate the communication
between Cura and its backend and similar code.

Development files.

%package -n     python3-arcus
Summary:        Python 3 libArcus bindings
%{?python_provide:%python_provide python3-arcus}

%description -n python3-arcus
Arcus Python 3 bindings for creating a socket in a thread and using this
socket to send and receive messages based on the
Protocol Buffers library. It is designed to facilitate the communication
between Cura and its backend and similar code.

%prep
%autosetup -n libArcus-%{version} -p1 -S git

# Upstream installs to lib/python3/dist-packages
# We want to install to %%{python3_sitearch}
sed -i 's|lib/python3/dist-packages|%(echo %{python3_sitearch} | sed -e s@%{_prefix}/@@)|g' CMakeLists.txt


# Move stuff to lib64 on 64 arches
%if "%{_libdir}" == "/usr/lib64"
sed -i 's|DESTINATION lib|DESTINATION lib64|g' CMakeLists.txt
%endif


%build
%{cmake} -DBUILD_EXAMPLES:BOOL=OFF -DPYTHON_SITE_PACKAGES_DIR=%{python3_sitearch} .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md TODO.md
%{_libdir}/libArcus.so.*

%files devel
%doc examples/example.cpp examples/example.proto
%{_libdir}/libArcus.so
%{_libdir}/cmake/Arcus
%{_includedir}/Arcus

%files -n python3-arcus
%license LICENSE
%doc README.md TODO.md
%doc examples/example.py
%{python3_sitearch}/Arcus.so

%changelog
* Wed Jan 04 2017 Tom Callaway <spot@fedoraproject.org> - 2.3.1-1
- update to 2.3.1

* Sun Dec 04 2016 Miro Hrončok <mhroncok@redhat.com> - 2.1.3-1
- Initial package

